如何安装永中office


#1

如题所示,觉得libreoffice对ms office兼容性太差,所以就想换这个,但是怎么安装????下载好之后的帮助文件写了ubuntu,fedora和arch的安装方法,就是没写opensuse的,我执行setup,结果提示(setup:5172): Gtk-WARNING **: cannot open display:
到底怎么办??


#2

玄学兼容性,试试WPS?虽都说WPS对M$支持好,but有时觉得WPS还不如libreoffice,日常 虚拟机 & libre & wps用户

以前也听说过这个玩意,还下过包,记得貌似遇到一堆恶心问题,就没折腾了,, :joy:


#3

我用过wps,之前我用过的发行版里面也用过永中office,上学期交大作业,我用的是wps写的文档,老师老是说我的格式不对,我自己打开没有问题,又在别的电脑上试试ms office,结果格式确实有问题,而且wps的文档有时候用ms office打不开,说是文档已损坏,无奈,不过后来用了永中office,确实不错


#4

我试了试
sudo 不行
直接
su
然后执行 setup


#5

不过默认字体好丑啊 :joy: 不忍直视啊,换成系统字体,还是谜一样的渲染 :grin:


#6

对于要交的报告什么的,我选择上虚拟机 :joy:


#7

用su,闪了一下就没有了


#8

装什么依赖了吗?


#9

我看的fedora的,看了看差不多都有,装了libXtst6-32bitlibpangox-1_0-0-32bit


#10

这些都装了


#11

你是leap?


#12

是的,42.3


#13

试试kdesu ./setup


#14

没有这个命令


#15

桌面是gnome?

gnomesu


#16

成功了!!!!!


#17

其实直接下载rpm包用zypper安装不就行了么


#18

要是有的话,我会考虑那么做的


#19

话说,我发现我把win虚拟机里的字体都拉过来,安装到个人字体后,不管是libre还是WPS看起来都有明显改善 :yum:

某些地方WPS确实比libre好,原来我觉得不如libre的问题(比如排版)在有字体文件后都得到了解决


#20

看来是我记错了,不过永中的压缩包里面有个readme,里面详细写了需要预先安装哪些包